Name: netcdf
Version: 3.4
Release: 9
Copyright: distributable
Source0: netcdf-3.4.tar.bz2
URL: http://www.unidata.ucar.edu/packages/netcdf/index.html
BuildRoot: %{_tmppath}/netcdf-root
Group: Development/Libraries
Summary: Libraries to use the Unidata network Common Data Form (netCDF)

%description
NetCDF (network Common Data Form) is an interface for array-oriented data
access and a freely-distributed collection of software libraries for C, 
Fortran, C++, and perl that provides an implementation of the interface.
The netCDF library also defines a machine-independent format for representing
scientific data. Together, the interface, library, and format support the 
creation, access, and sharing of scientific data. The netCDF software was 
developed at the Unidata Program Center in Boulder, Colorado.

NetCDF data is: 

   o Self-Describing. A netCDF file includes information about the data it
     contains. 

   o Network-transparent. A netCDF file is represented in a form that can be 
     accessed by computers with different ways of storing integers, characters,
     and floating-point numbers. 

   o Direct-access. A small subset of a large dataset may be accessed 
     efficiently, without first reading through all the preceding data. 

   o Appendable. Data can be appended to a netCDF dataset along one dimension 
     without copying the dataset or redefining its structure. The structure of 
     a netCDF dataset can be changed, though this sometimes causes the dataset 
     to be copied. 

   o Sharable. One writer and multiple readers may simultaneously access the 
     same netCDF file. 

%prep

%setup -q

%build
cd src
CPPFLAGS="-DNDEBUG -Df2cFortran" CFLAGS="$RPM_OPT_FLAGS -Df2cFortran" \
%configure --prefix=/usr
make

%install
cd src
if [ "$RPM_BUILD_ROOT" != "/" ]; then
    rm -rf $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/usr
%makeinstall
rm -rf $RPM_BUILD_ROOT/usr/man/man3f

mkdir -p $RPM_BUILD_ROOT%{_mandir}
cp -Rdp $RPM_BUILD_ROOT%{_prefix}/man/*  $RPM_BUILD_ROOT%{_mandir}

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
    rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%doc src/README src/COMPATIBILITY
%{_libdir}/*
%{_includedir}/*
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 8 2000 Tim Powers <timp@redhat.com>
- fixed man page location to be FHS compliant
- use %%makeinstall and %%configure

* Tue Mar 28 2000 Tim Powers <timp@redhat.com>
- got package for contrib on ftp.redhat.com
- started changelog
- quiet setup
- changed buildroot and group
- RPM handles gsipping man pages now, no longer needed in spec file
- cleaned up files list
- bzip source
